File GSTR-7 TDS Return with EVC
POST
https://apisandbox.whitebooks.in/gstr7/retevcfileUsed to file entire GSTR7 invoices using EVC.
Parameters
query parameters
emailstringrequiredAPI Developer User Email
panstringrequiredPAN Number
evcotpstringrequiredOTP for EVC
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
string
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP POST to
/gstr7/retevcfile. Required parameters: email (query parameter), pan (query parameter), evcotp (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For File GSTR7 data (POST
/gstr7/retevcfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Used to file entire GSTR7 invoices using EVC.
No example available.